﻿using HttpClientStudy.Config;

using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;

namespace HttpClientStudy.WebApp.Controllers
{
    /// <summary>
    /// 使用配置文件 控制器
    /// </summary>
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class ConfigController : ControllerBase
    {
        private ILogger<SimpleController> _logger;
        private IOptionsMonitor<WebApiConfig> _apiConfigMonitor;

        /// <summary>
        /// 构造
        /// </summary>
        public ConfigController(ILogger<SimpleController> logger, IOptionsMonitor<WebApiConfig> apiConfigMonitor)
        { 
            _logger = logger;
            _apiConfigMonitor = apiConfigMonitor;
        }

        /// <summary>
        /// 获取账号
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        public IActionResult GetApiConfig()
        {
            var reslut = BaseResultUtil.Success(_apiConfigMonitor.CurrentValue);
            return Ok(reslut);
        }
    }
}
